<?php
/**
 * Gentics Portal.Node PHP
 * Author & Copyright (c) by Gentics Software GmbH
 * sales@gentics.com
 * http://www.gentics.com
 * Licenses can be found in the LICENSE.txt file in the root-folder of this installation
 * You must not use this software without a valid license agreement.
 *
 * Googlesitemaps module class file.
 */
class GooglesitemapsModule extends CWebModule
{
    /**
     * @var int the number of seconds in which the cached value will expire. 0 means never expire.
     */
    public $cacheTime = 60;

    /**
     * @var int the number of seconds in which the cached value will expire. 0 means never expire. Used for caching updatetimestamps
     */
    public $timestampCacheTime = 20;

    /**
     * @var array that contains list of URLs that should not be shown in navigation trees
     */
    public $excludeURLs = array();

    /**
     * @var string $rootfolderId contains the ID of the rootfolder.
    */
    public $rootfolderId;

    /**
     * @var string $hostParam can be set to build absolute Urls (eg 'http://www.gentics.com')
     */
    public $hostParam;

    /**
     * @var array $contentTypes contains the Type Id's which content to show (10007,10008,ect)
    */
    public $contentTypes = array();

    /**
     * @var string $hideParam contains the Name of the object Parameter which is can be set to not show content
    */
    public $hideParam;

    /**
     * @var string $containerParam contains the Name of the object Parameter which will be checked against the value to show the content
    */
    public $containerParam;

    /**
     * @var string $containerParamValue contains the value the object Parameter need to have to show the content
    */
    public $containerParamValue;

    /**
     * @var string $outputFormatValue sets the choosen Output Format in the View
    */
    public $outputFormatValue;

   /**
     * @var string GCC request params. Comma separated.
     */
    public $gccRequestParams;

    /**
     * @var string $sorting contains sorting expression
     */
    public $sorting;

    /**
     * Import dependent classes
     *
     * @return void
     */
    public function init()
    {
        // import the module-level components
        $this->setImport(
            array(
                'googlesitemaps.components.*',
                'site.custom.modules.googlesitemaps.components.*',
            )
        );
    }

}
