<?php

/**
 * Gentics Portal.Node PHP
 * Author & Copyright (c) by Gentics Software GmbH
 * sales@gentics.com
 * http://www.gentics.com
 * Licenses can be found in the LICENSE.txt file in the root-folder of this installation
 * You must not use this software without a valid license agreement.
 *
 * Represents single answer
 *
 **/
class Answer extends CActiveRecord
{

    /**
     * Returns the static model of the specified AR class.
     *
     * @param string $className active record class name
     *
     * @return array|CActiveRecord
     */
    public static function model($className = __CLASS__)
    {
        return parent::model($className);
    }

    /**
     * Returns the name of the associated database table.
     * By default this method returns the class name as the table name.
     * You may override this method if the table is not named after this convention.
     *
     * @return string the table name
     */
    public function tableName()
    {
        return '{{answer}}';
    }

    /**
     * Returns the validation rules for attributes.
     *
     * @return array
     */
    public function rules()
    {
        return array(
            array('active', 'default', 'value' => 1),
            array('created', 'default', 'value' => AppHelper::mysqlDate()),
            array('question_id, answer_key, text, active','required'),
            array('order, active', 'numerical', 'integerOnly' => true),
            array('text', 'safe'),
            array('created', 'type', 'type'=>'datetime', 'datetimeFormat' => 'yyyy-MM-dd HH:mm:ss'),
            array('id, question_id, text, order, created','safe', 'on'=>'search'),
        );
    }


    public function relations()
    {
        return array(
            'question' => array(CActiveRecord::BELONGS_TO, 'Question', 'question_id'),
            'userAnswers' => array(CActiveRecord::HAS_MANY, 'UserAnswer', 'answer_id'),
            'userAnswersCount' => array(CActiveRecord::STAT, 'UserAnswer', 'answer_id')
        );
    }
    public function getAttributeLabel($name)
    {
        return VoteModule::t(parent::getAttributeLabel($name));
    }
} 

