<?php
/**
 *
 */
?>

<?php echo CHtml::beginForm('', 'GET') ?>

<?php echo CHtml::label('Locale', 'locale') ?>
<?php echo CHtml::textField('locale', $locale) ?>
<?php echo CHtml::label('Currency', 'currencyValue') ?>
<?php echo CHtml::textField('currencyValue', $currencyValue) ?>
<?php echo CHtml::label('Currency Type', 'currencyType') ?>
<?php echo CHtml::textField('currencyType', $currencyType) ?>
<?php echo CHtml::label('Date', 'date') ?>
<?php echo CHtml::textField('dateValue', $dateValue) ?>

<?php echo CHtml::submitButton() ?>
<?php echo CHtml::endForm() ?>
<article>
    <table class="locales">
        <thead>
        <tr>
            <th>Locale</th>
            <th>Currency</th>
            <th>Date(short)</th>
            <th>Date(medium)</th>
            <th>Date(full)</th>
            <th>Date(long)</th>
        </tr>
        </thead>
        <tbody>
        <?php foreach ($locales as $localeName): ?>
        <tr>
            <td><?php echo $localeName?></td>
            <?php
            try {
                $locale = CLocale::getInstance($localeName);
                $cf = new CNumberFormatter($locale);
                $df = new CDateFormatter($locale);

                ?>
                <td><?php echo $cf->formatCurrency($currencyValue, $currencyType)?></td>
                <td><?php echo $df->format($locale->getDateFormat('short'), $dateValue)?></td>
                <td><?php echo $df->format($locale->getDateFormat('medium'), $dateValue)?></td>
                <td><?php echo $df->format($locale->getDateFormat('long'), $dateValue)?></td>
                <td><?php echo $df->format($locale->getDateFormat('full'), $dateValue)?></td>

                <?php
            } catch (Exception $e) {
                echo "<td colspan='5'>Locale not exists</td>";
            }
            ?>

        </tr>
            <?php endforeach ?>
        </tbody>
    </table>
</article>